## python-cloudkittyclient 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
python-openstackclient!=3.10.0,>=3.3.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-cloudkittyclient (1.2.0-4) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 21:20:48 +0000

python-cloudkittyclient (1.2.0-3) unstable; urgency=medium

  * Python 3 has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 14:00:04 +0000

python-cloudkittyclient (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:48:51 +0000

python-cloudkittyclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 08:38:49 +0000

python-cloudkittyclient (1.1.0-3) unstable; urgency=medium

  * Fix update-alternatives.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 08:23:51 +0000

python-cloudkittyclient (1.1.0-2) unstable; urgency=medium

  * Using update-alternatives to provide /usr/bin/cloudkitty.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2018 09:00:54 +0100

python-cloudkittyclient (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #888434)

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jan 2018 13:21:48 +0100

=== debian/control ===
Source: python-cloudkittyclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 62~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-keystoneclient (>= 3.8.0),
 python-openstackclient (>= 3.3.0),
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils (>= 3.20.0),
 python-oslotest (>= 1.10.0),
 python-prettytable,
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-testtools,
 python3-babel,
 python3-keystoneclient (>= 3.8.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-oslotest (>= 1.10.0),
 python3-prettytable,
 python3-stevedore (>= 1.20.0),
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-cloudkittyclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-cloudkittyclient.git
Homepage: http://www.openstack.org/

Package: python-cloudkittyclient
Architecture: all
Depends:
 python-babel,
 python-keystoneclient (>= 3.8.0),
 python-openstackclient (>= 3.3.0),
 python-oslo.i18n,
 python-oslo.serialization,
 python-oslo.utils (>= 3.20.0),
 python-pbr,
 python-prettytable,
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-cloudkittyclient-doc,
Description: API client for Rating as a Service project - Python 2.7
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 This is a client library for CloudKitty built on the CloudKitty API. It
 provides a Python API (the cloudkittyclient module).
 .
 This package contains the Python 2.7 module.

Package: python-cloudkittyclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: API client for Rating as a Service project - doc
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 This package contains the documentation.

Package: python3-cloudkittyclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneclient (>= 3.8.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr,
 python3-prettytable,
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cloudkittyclient-doc,
Description: API client for Rating as a Service project - Python 3.x
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 This is a client library for CloudKitty built on the CloudKitty API. It
 provides a Python API (the cloudkittyclient module).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-cloudkittyclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-cloudkittyclient-doc/usr/share/doc/python-cloudkittyclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-cloudkittyclient/python-cloudkittyclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cloudkittyclient 2.1.1

=== debian/changelog ===
python-cloudkittyclient (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:49:59 +0200

python-cloudkittyclient (2.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Apr 2019 23:37:17 +0200

python-cloudkittyclient (2.1.0-2) experimental; urgency=medium

  * Fixed auto_clean target.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 12:19:41 +0100

python-cloudkittyclient (2.1.0-1) experimental; urgency=medium

  * Add bash-completion.
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 12:08:53 +0100

python-cloudkittyclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:27:52 +0200

python-cloudkittyclient (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 18:31:38 +0200

=== debian/control ===
Source: python-cloudkittyclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-cloudkittyclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-cloudkittyclient.git
Homepage: http://www.openstack.org/

Package: python-cloudkittyclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: API client for Rating as a Service project - doc
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 This package contains the documentation.

Package: python3-cloudkittyclient
Architecture: all
Depends:
 python3-cliff,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-os-client-config,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cloudkittyclient-doc,
Description: API client for Rating as a Service project - Python 3.x
 CloudKitty aims at filling the gap between metrics collection systems like
 ceilometer and a billing system.
 .
 This is a client library for CloudKitty built on the CloudKitty API. It
 provides a Python API (the cloudkittyclient module).
 .
 This package contains the Python 3.x module.

## python-cloudkittyclient 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0,!=2.1.0 # Apache-2.0
cliff>=2.11.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
oslo.utils>=3.35 # Apache-2.0
oslo.log>=3.36 # Apache-2.0
PyYAML>=3.12 # MIT
jsonpath-rw-ext>=1.0 # Apache-2.0
six>=1.11 # MIT
os-client-config>=1.29.0 # Apache-2.0
osc-lib>=1.12.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.30.0 # Apache-2.0
sphinx>=1.6.2,!=1.6.6,!=1.6.7,<2.0.0;python_version=='2.7'  # BSD
sphinx>=1.6.2,!=1.6.6,!=1.6.7,!=2.1.0;python_version>='3.4' # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-cloudkittyclient (3.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:12:05 +0200

python-cloudkittyclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 13:36:52 +0200

python-cloudkittyclient (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -27,7 +27,7 @@
  python3-stestr,
  python3-yaml,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-cloudkittyclient
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-cloudkittyclient.git
 Homepage: http://www.openstack.org/

## python-cloudkittyclient 4.0.0

=== debian/changelog ===
python-cloudkittyclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:54:33 +0200

python-cloudkittyclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.svg2pdfconverter to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Apr 2020 18:52:15 +0200

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-six,
+ python3-sphinxcontrib.svg2pdfconverter,
  python3-stestr,
  python3-yaml,
  subunit,

## python-cloudkittyclient 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,5 @@
 oslo.log>=3.36 # Apache-2.0
 PyYAML>=3.12 # MIT
 jsonpath-rw-ext>=1.0 # Apache-2.0
-six>=1.11 # MIT
 os-client-config>=1.29.0 # Apache-2.0
 osc-lib>=1.12.1 # Apache-2.0

=== debian/changelog ===
python-cloudkittyclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 11:43:03 +0200

python-cloudkittyclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:07:12 +0200

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,12 @@
  python3-cliff,
  python3-jsonpath-rw-ext,
  python3-keystoneauth1,
- python3-mock,
  python3-openstackclient,
  python3-openstackdocstheme,
  python3-os-client-config,
  python3-oslo.log,
  python3-oslo.utils,
  python3-oslotest,
- python3-six,
  python3-sphinxcontrib.svg2pdfconverter,
  python3-stestr,
  python3-yaml,
@@ -55,7 +53,6 @@
  python3-oslo.log,
  python3-oslo.utils,
  python3-pbr,
- python3-six,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

## python-cloudkittyclient 4.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.1 # Apache-2.0
cliff>=3.5.0 # Apache-2.0
keystoneauth1>=4.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
PyYAML>=5.3.1 # MIT
jsonpath-rw-ext>=1.2.0 # Apache-2.0
os-client-config>=2.1.0 # Apache-2.0
osc-lib>=2.3.0 # Apache-2.0

=== debian/changelog ===
python-cloudkittyclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:14:49 +0200

python-cloudkittyclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:14:27 +0200

python-cloudkittyclient (4.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:32:38 +0200

python-cloudkittyclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 10:24:55 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-cloudkittyclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Generate bash completion
	mkdir -p $(CURDIR)/debian/python3-cloudkittyclient/usr/share/bash-completion/completions
	PYTHONPATH=$(CURDIR)/debian/python3-cloudkittyclient/usr/lib/python3/dist-packages PATH=$(PATH):$(CURDIR)/debian/python3-cloudkittyclient/usr/bin cloudkitty complete >$(CURDIR)/debian/python3-cloudkittyclient/usr/share/bash-completion/completions/cloudkitty
	sed -i 's#complete -F _python3_cloudkitty python3-cloudkitty#complete -F _python3_cloudkitty cloudkitty#' $(CURDIR)/debian/python3-cloudkittyclient/usr/share/bash-completion/completions/cloudkitty

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-cloudkittyclient-doc/usr/share/doc/python-cloudkittyclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-cloudkittyclient 4.5.0

=== debian/changelog ===
python-cloudkittyclient (4.5.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 25 Mar 2022 09:18:54 +0000

python-cloudkittyclient (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:15:23 +0100

python-cloudkittyclient (4.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 13:35:17 +0100

## python-cloudkittyclient 4.6.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-cloudkittyclient (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:09:27 +0200

python-cloudkittyclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:07:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 5.5.1),
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-cliff,
+ python3-cliff (>= 3.5.0),
  python3-jsonpath-rw-ext,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 4.3.0),
  python3-openstackclient,
  python3-openstackdocstheme,
  python3-os-client-config,
  python3-oslo.log,
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.7.0),
  python3-oslotest,
  python3-sphinxcontrib.svg2pdfconverter,
  python3-stestr,
@@ -46,13 +46,13 @@
 Package: python3-cloudkittyclient
 Architecture: all
 Depends:
- python3-cliff,
+ python3-cliff (>= 3.5.0),
  python3-jsonpath-rw-ext,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 4.3.0),
  python3-os-client-config,
  python3-oslo.log,
- python3-oslo.utils,
- python3-pbr,
+ python3-oslo.utils (>= 4.7.0),
+ python3-pbr (>= 5.5.1),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

## python-cloudkittyclient 4.7.0

=== debian/changelog ===
python-cloudkittyclient (4.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048014).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:38:42 +0200

python-cloudkittyclient (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:58:24 +0200

python-cloudkittyclient (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:56:41 +0100

## python-cloudkittyclient 4.8.0

=== debian/changelog ===
python-cloudkittyclient (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:35:17 +0200

python-cloudkittyclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 09:14:40 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-cloudkittyclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-cloudkittyclient 5.0.0

=== debian/changelog ===
python-cloudkittyclient (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:11:41 +0200

python-cloudkittyclient (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:18:28 +0100

## python-cloudkittyclient 5.0.1

=== debian/changelog ===
python-cloudkittyclient (5.0.1-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:41:09 +0000

## python-cloudkittyclient 5.2.0

=== debian/changelog ===
python-cloudkittyclient (5.2.0-2~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2024 14:57:37 +0000

python-cloudkittyclient (5.2.0-2) unstable; urgency=medium

  * Removed /usr/bin/cinder alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 09:44:29 +0200

python-cloudkittyclient (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 09:49:19 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-cloudkittyclient 5.3.1

=== debian/changelog ===
python-cloudkittyclient (5.3.1-3~cloud0) noble-flamingo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Wed, 21 May 2025 10:59:59 +0000

python-cloudkittyclient (5.3.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:47:32 +0100

python-cloudkittyclient (5.3.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:12:06 +0100

python-cloudkittyclient (5.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 10:37:51 +0100

python-cloudkittyclient (5.2.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090475).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:32:18 +0100

python-cloudkittyclient (5.2.0-3) unstable; urgency=medium

  * d/watch: use mode=git.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:14:37 +0100

## python-cloudkittyclient 5.4.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=5.5.1 # Apache-2.0
cliff>=3.5.0 # Apache-2.0
keystoneauth1>=4.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
PyYAML>=5.3.1 # MIT
jsonpath-rw-ext>=1.2.0 # Apache-2.0
os-client-config>=2.1.0 # Apache-2.0
osc-lib>=2.3.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.30.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=2.5.0 # Apache-2.0
cliff>=2.11.0 # Apache-2.0

=== debian/changelog ===
python-cloudkittyclient (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:55:19 +0200

python-cloudkittyclient (5.4.0-1) experimental; urgency=medium

  * New upstraem release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Aug 2025 19:24:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-cloudkittyclient refs/tags/(\d[brc\d\.]+)

## python-cloudkittyclient 6.1.0

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,5 @@
 oslo.log>=4.4.0 # Apache-2.0
 PyYAML>=5.3.1 # MIT
 jsonpath-rw-ext>=1.2.0 # Apache-2.0
-os-client-config>=2.1.0 # Apache-2.0
+openstacksdk>=0.10.0 # Apache-2.0
 osc-lib>=2.3.0 # Apache-2.0

=== debian/changelog ===
python-cloudkittyclient (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 14:08:29 +0100

python-cloudkittyclient (5.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048014).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 09:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 5.5.1),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-cliff (>= 3.5.0),
+ python3-cliff,
  python3-jsonpath-rw-ext,
- python3-keystoneauth1 (>= 4.3.0),
+ python3-keystoneauth1,
  python3-openstackclient,
  python3-openstackdocstheme,
- python3-os-client-config,
+ python3-openstacksdk,
  python3-oslo.log,
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.utils,
  python3-oslotest,
  python3-sphinxcontrib.svg2pdfconverter,
  python3-stestr,
@@ -46,13 +46,13 @@
 Package: python3-cloudkittyclient
 Architecture: all
 Depends:
- python3-cliff (>= 3.5.0),
+ python3-cliff,
  python3-jsonpath-rw-ext,
- python3-keystoneauth1 (>= 4.3.0),
- python3-os-client-config,
+ python3-keystoneauth1,
+ python3-openstacksdk,
  python3-oslo.log,
- python3-oslo.utils (>= 4.7.0),
- python3-pbr (>= 5.5.1),
+ python3-oslo.utils,
+ python3-pbr,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
